import { PlanningVerificator } from "entity";
import { SelectQueryBuilder } from "typeorm";
import CommonHelper from "../helpers/common";
import { OrmHelper } from "../helpers/orm";

export class PlanningVerificatorModel {
    static async list(filter = {}): Promise<SelectQueryBuilder<any>> {
        const repo = OrmHelper.DB.getRepository(PlanningVerificator);
        let whereAttr: string[] = [];
        let whereVal: any = {};
        if (filter && Object.keys(filter).length > 0) {
            whereAttr = [...whereAttr, ...CommonHelper.handleQueryFilter(filter, "planning_verificator").whereAttr];
            whereVal = { ...whereVal, ...CommonHelper.handleQueryFilter(filter, "planning_verificator").whereVal };
        }

        var query = repo.createQueryBuilder("planning_verificator").leftJoinAndSelect("planning_verificator.user", "user");
        if (whereAttr.length != 0) {
            query = query.where(whereAttr.join(" and "), whereVal);
        }

        return query;
    }
}